/*
* movindex.sql
* 6 september 1999
* Arno Bouwman, Dijkoraad IT bv
* Dit script verplaatst de indexen van een user naar een andere tablespace.
* run als user system.
* Gebruik: @movindex <usernaam> <tablespace>
*/
clear screen
prompt
prompt 
prompt De indexen van &1 worden verplaatst naar tablespace &2
prompt Dit kan even duren .....
prompt 
prompt 
set lines 200
set heading off
set feedback off
set verify off
set termout off
spool $index.sql
select 'set echo on' from dual;
select 'set feedback on' from dual;
select 'spool $index.lst' from dual;
select 'alter index &1'||'.'||index_name||' rebuild tablespace &2;'
from all_indexes where owner = upper('&1');
select 'spool off' from dual;
select 'set echo off' from dual;
spool off
@$index.sql
set termout on
prompt
prompt Procedure compleet, controleer $index.lst op fouten.
prompt
set heading on
set feedback on
set verify on
exit